<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{F83397D2-C35A-4F5C-8DAF-E9DE1E2D2AD5}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>RevitToJBim</RootNamespace>
    <AssemblyName>RevitToJBim</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\..\OutputDll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\OutputDll\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=11.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Newtonsoft.Json.11.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="RevitAPI, Version=17.0.0.0, Culture=neutral, processorArchitecture=AMD64">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\RevitDlls\RevitAPI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="SAGA.DotNetUtils, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\RevitDlls\SAGA.DotNetUtils.dll</HintPath>
    </Reference>
    <Reference Include="SAGA.RevitUtils, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\RevitDlls\SAGA.RevitUtils.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Common\CategoryGenerator.cs" />
    <Compile Include="Common\Converter.cs" />
    <Compile Include="Common\StandardUtil.cs" />
    <Compile Include="Extension\CurveExtension.cs" />
    <Compile Include="Common\ElementWrapperFactory.cs" />
    <Compile Include="Common\ExceptionUtil.cs" />
    <Compile Include="Common\FamilyType.cs" />
    <Compile Include="Common\ParameterUtil.cs" />
    <Compile Include="ComponentParse\ParseGrid.cs" />
    <Compile Include="ComponentParse\ParseLevel.cs" />
    <Compile Include="ComponentParse\ParseUnit.cs" />
    <Compile Include="Extension\SpaceExtension.cs" />
    <Compile Include="Extension\CurveLoopExtension.cs" />
    <Compile Include="Extension\GeometryElementExtension.cs" />
    <Compile Include="Extension\WallExtension.cs" />
    <Compile Include="JsonConverter\ParameterConverter.cs" />
    <Compile Include="MbiExportCommand.cs" />
    <Compile Include="MBI\MBIBuiltInParameterName.cs" />
    <Compile Include="MBI\MBIDocument.cs" />
    <Compile Include="MBI\MBIRegexPattern.cs" />
    <Compile Include="Common\RevitIdGenerator.cs" />
    <Compile Include="Common\RevitUtil.cs" />
    <Compile Include="ComponentParse\ParseBase.cs" />
    <Compile Include="ComponentParse\ParseColumn.cs" />
    <Compile Include="ComponentParse\ParseConnector.cs" />
    <Compile Include="ComponentParse\ParseCore.cs" />
    <Compile Include="ComponentParse\ParseFacility.cs" />
    <Compile Include="ComponentParse\ParseDoor.cs" />
    <Compile Include="ComponentParse\ParseDuct.cs" />
    <Compile Include="ComponentParse\ParseFamilyJoinObject.cs" />
    <Compile Include="ComponentParse\ParseMepSystem.cs" />
    <Compile Include="ComponentParse\ParsePipe.cs" />
    <Compile Include="ComponentParse\ParseSpace.cs" />
    <Compile Include="ComponentParse\ParseVirtualWall.cs" />
    <Compile Include="ComponentParse\ParseWall.cs" />
    <Compile Include="ComponentParse\ParseWindow.cs" />
    <Compile Include="ComponentParse\UsableParseAttribute.cs" />
    <Compile Include="ExportDataBuilder.cs" />
    <Compile Include="Extension\ElementExtension.cs" />
    <Compile Include="JsonConverter\BimIdConverter.cs" />
    <Compile Include="JsonConverter\BimJsonUtil.cs" />
    <Compile Include="JsonConverter\XYZConverter.cs" />
    <Compile Include="ParseData\ElementRelationShip.cs" />
    <Compile Include="ParseData\ElementOneToManyRel.cs" />
    <Compile Include="ParseData\ElementOneToOneRel.cs" />
    <Compile Include="RevitToJBimParser.cs" />
    <Compile Include="JBimParseContext.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="MbiExport.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\MBIRevitBase\MBIRevitBase.csproj">
      <Project>{2bc3da7b-57cb-4d9d-8afa-888ea4d8da87}</Project>
      <Name>MBIRevitBase</Name>
    </ProjectReference>
    <ProjectReference Include="..\JBIM\JBIM.csproj">
      <Project>{a6a90bfe-126d-4499-860a-f0e2c40ebb23}</Project>
      <Name>JBIM</Name>
    </ProjectReference>
    <ProjectReference Include="..\RevitExport\RevitExport.csproj">
      <Project>{825b43f4-1f7b-44ac-9bd4-501de9422d32}</Project>
      <Name>RevitExport</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="ReadMe.txt" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>